Index: nvidia-290.10/nv-procfs.c
===================================================================
--- nvidia-290.10.orig/nv-procfs.c	2011-11-23 05:14:39.000000000 +0100
+++ nvidia-290.10/nv-procfs.c	2012-01-09 22:22:18.598097440 +0100
@@ -707,8 +707,10 @@
      * However, in preparation for this, we need to preserve
      * the procfs read() and write() operations.
      */
-    nv_procfs_registry_fops.read = entry->proc_fops->read;
-    nv_procfs_registry_fops.write = entry->proc_fops->write;
+    pax_open_kernel();
+    *(void **)&nv_procfs_registry_fops.read = entry->proc_fops->read;
+    *(void **)&nv_procfs_registry_fops.write = entry->proc_fops->write;
+    pax_close_kernel();
 
     entry = NV_CREATE_PROC_FILE("registry", proc_nvidia,
         nv_procfs_read_registry,
